> This page is for APIs, version Calculations.
> For other versions, use one of these documentation indexes:
> - Overview (default): https://avalara.ferndocs.com/api-reference/overview/llms.txt
> - Calculations: https://avalara.ferndocs.com/api-reference/calculations/llms.txt
> - E-invoicing: https://avalara.ferndocs.com/api-reference/e-invoicing/llms.txt
> - Brazil: https://avalara.ferndocs.com/api-reference/brazil/llms.txt
> - Returns: https://avalara.ferndocs.com/api-reference/returns/llms.txt
> - Shared service: https://avalara.ferndocs.com/api-reference/shared-service/llms.txt
> - 1099 & W-9: https://avalara.ferndocs.com/api-reference/1099-w9/llms.txt
> - Tax registrations & business licenses: https://avalara.ferndocs.com/api-reference/tax-registrations/llms.txt
> - ECM: https://avalara.ferndocs.com/api-reference/ecm/llms.txt
> - Cross-Border: https://avalara.ferndocs.com/api-reference/cross-border/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://avalara.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://avalara.ferndocs.com/_mcp/server.

# Tests connectivity and the version of the service.

GET https://excise.avalara.com/api/v1/Utilities/Ping

> **Access control:** this endpoint is available to users with the `everyone` role.

Check connectivity to the Excise Platform API and return information about the API server.
            
This API is intended to help you verify that your connection is working. This API will always succeed and will
never return an error. It provides basic information about the server you connect to:
            
* `version` - The version number of the Excise Platform API server that responded to your request.
* `authenticated` - A boolean flag indicating whether or not you sent valid credentials with your API request.
* `authenticatedUserName` - If you provided valid credentials to the API, this field will tell you the username of the currently logged in user.

Reference: https://avalara.ferndocs.com/api-reference/calculations/ava-tax-for-excise/public-reference/ping

## Authentication

- `Authorization` header (required) — API Key authentication via header

## Request

### Headers

- `X-Avalara-Client` (string, optional, default: Swagger UI; 5.64.21.2340; Custom; 1.0) — Identifies the software you are using to call this API. For more information on the client header, see Client Headers.

## Response

### 200

Returns service version information and authentication status.

- `version` (string, optional) — Gets or sets the version of the service that responded to the ping request. This property indicates which version of the service API is currently active.
- `authenticated` (boolean, optional) — Gets or sets a boolean value indicating whether the current user is authenticated. True if the user has valid authentication credentials, false otherwise.
- `authenticatedUserName` (string, optional) — Gets or sets the username of the authenticated user. This property contains the username of the currently authenticated user, or null/empty if the user is not authenticated.

## Examples

**Response**

```json
{
  "version": "string",
  "authenticated": false,
  "authenticatedUserName": "string"
}
```

**SDK Code**

```python
import requests

url = "https://excise.avalara.com/api/v1/Utilities/Ping"

headers = {"Authorization": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://excise.avalara.com/api/v1/Utilities/Ping';
const options = {method: 'GET', headers: {Authorization: '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://excise.avalara.com/api/v1/Utilities/Ping"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://excise.avalara.com/api/v1/Utilities/Ping")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://excise.avalara.com/api/v1/Utilities/Ping")
  .header("Authorization", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://excise.avalara.com/api/v1/Utilities/Ping', [
  'headers' => [
    'Authorization' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://excise.avalara.com/api/v1/Utilities/Ping");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://excise.avalara.com/api/v1/Utilities/Ping")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```